<xml xmlns="https://developers.google.com/blockly/xml"><block type="factory_base" id="+4@QWU/3}O}7CpH`K`Ty" deletable="false" movable="false" x="10" y="10">
    <mutation connections="BOTH"></mutation>
    <field name="NAME">osc_play</field>
    <field name="INLINE">INT</field>
    <field name="CONNECTIONS">BOTH</field>
    <statement name="INPUTS">
      <block type="input_value" id="vZruIfx.8=$Ar5*{6!)N">
        <field name="INPUTNAME">osc_var</field>
        <field name="ALIGN">LEFT</field>
        <statement name="FIELDS">
          <block type="field_static" id="BJ7O7G}B{)lgXt|@/!h-">
            <field name="TEXT">Osc:</field>
          </block>
        </statement>
        <value name="TYPE">
          <shadow type="type_null" id="-EGTvXON|oHw4SlFx,5/"></shadow>
        </value>
        <next>
          <block type="input_value" id="S6Q#OO7LN8YiMXVELC9t">
            <field name="INPUTNAME">note</field>
            <field name="ALIGN">LEFT</field>
            <statement name="FIELDS">
              <block type="field_static" id="bEVnAKg|YkB?@U4sDmrF">
                <field name="TEXT">play:</field>
              </block>
            </statement>
            <value name="TYPE">
              <shadow type="type_null" id="d|fE-?30aSq1`.#++}tS"></shadow>
              <block type="type_other" id="u;u%Sa;!le5s4l]oUI6^">
                <field name="TYPE">int</field>
              </block>
            </value>
          </block>
        </next>
      </block>
    </statement>
    <value name="TOOLTIP">
      <block type="text" id="k:E%8XpQT[-MqpJLi4q3" deletable="false" movable="false">
        <field name="TEXT">Ejecute una nota midi, osc representa un oscilador, en play poner una nota o numero entero</field>
      </block>
    </value>
    <value name="HELPURL">
      <block type="text" id="uZbZbttt?[3.+*@q1?ox" deletable="false" movable="false">
        <field name="TEXT"></field>
      </block>
    </value>
    <value name="TOPTYPE">
      <shadow type="type_null" id="~|2R$#[4kAb`o_Q6[YQT"></shadow>
    </value>
    <value name="BOTTOMTYPE">
      <shadow type="type_null" id="=O6dLGp]OiAM@%AFuJ`("></shadow>
    </value>
    <value name="COLOUR">
      <block type="colour_hue" id="JKgm]|DI9f@_*.Ct]^mM">
        <mutation colour="#a55b80"></mutation>
        <field name="HUE">330</field>
      </block>
    </value>
  </block><block type="factory_base" id="+4@QWU/3}O}7CpH`K`Ty" deletable="false" movable="false" x="10" y="10">
    <mutation connections="BOTH"></mutation>
    <field name="NAME">osc_play_tempo</field>
    <field name="INLINE">INT</field>
    <field name="CONNECTIONS">BOTH</field>
    <statement name="INPUTS">
      <block type="input_value" id="vZruIfx.8=$Ar5*{6!)N">
        <field name="INPUTNAME">osc_var</field>
        <field name="ALIGN">LEFT</field>
        <statement name="FIELDS">
          <block type="field_static" id="BJ7O7G}B{)lgXt|@/!h-">
            <field name="TEXT">Osc:</field>
          </block>
        </statement>
        <value name="TYPE">
          <shadow type="type_null" id="-EGTvXON|oHw4SlFx,5/"></shadow>
        </value>
        <next>
          <block type="input_value" id="S6Q#OO7LN8YiMXVELC9t">
            <field name="INPUTNAME">note</field>
            <field name="ALIGN">LEFT</field>
            <statement name="FIELDS">
              <block type="field_static" id="bEVnAKg|YkB?@U4sDmrF">
                <field name="TEXT">Play:</field>
              </block>
            </statement>
            <value name="TYPE">
              <shadow type="type_null" id="d|fE-?30aSq1`.#++}tS"></shadow>
              <block type="type_other" id="u;u%Sa;!le5s4l]oUI6^">
                <field name="TYPE">int</field>
              </block>
            </value>
            <next>
              <block type="input_value" id="[P-fZLedc0vjb}T*t;04">
                <field name="INPUTNAME">figure</field>
                <field name="ALIGN">LEFT</field>
                <statement name="FIELDS">
                  <block type="field_static" id="nidJI_;[@VMX!(iPUh1^">
                    <field name="TEXT">Tiempo:</field>
                  </block>
                </statement>
                <value name="TYPE">
                  <shadow type="type_null" id="d|fE-?30aSq1`.#++}tS"></shadow>
                  <block type="type_other" id="L$ST$lV1*pUG+NbmMSIF">
                    <field name="TYPE">dur</field>
                  </block>
                </value>
              </block>
            </next>
          </block>
        </next>
      </block>
    </statement>
    <value name="TOOLTIP">
      <block type="text" id="k:E%8XpQT[-MqpJLi4q3" deletable="false" movable="false">
        <field name="TEXT">Ejecute una nota midi, osc representa un oscilador, en play poner una nota o numero entero, en tiempo poner duración</field>
      </block>
    </value>
    <value name="HELPURL">
      <block type="text" id="uZbZbttt?[3.+*@q1?ox" deletable="false" movable="false">
        <field name="TEXT"></field>
      </block>
    </value>
    <value name="TOPTYPE">
      <shadow type="type_null" id="~|2R$#[4kAb`o_Q6[YQT"></shadow>
    </value>
    <value name="BOTTOMTYPE">
      <shadow type="type_null" id="=O6dLGp]OiAM@%AFuJ`("></shadow>
    </value>
    <value name="COLOUR">
      <block type="colour_hue" id="JKgm]|DI9f@_*.Ct]^mM">
        <mutation colour="#a55b5b"></mutation>
        <field name="HUE">0</field>
      </block>
    </value>
  </block></xml>